Ethiack Docs
Assets

List Assets

GET
/v1/assets/

Retrieves a list of assets based on filter criteria.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Query Parameters

asset_id?integer

Filter assets by its unique identified (ID)

organization_id?integer

Filter assets by the associated Organization's unique identifier (ID)

page?integer

Page number

per_page?integer

Number of assets per page

Response Body

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/assets/"
{
  "assets": [
    {
      "id": 0,
      "value": "string",
      "type": "string",
      "tier": null,
      "organization_id": 0,
      "private": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}